package com.hys.app.model.erp.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单状态枚举
 *
 * @author 张崧
 * @since 2024-01-25
 */
@Getter
public enum SaleOrderStatusEnum {

    TO_BE_COMMIT("TO_BE_COMMIT", "待确认"),
    TO_BE_SEND("TO_BE_SEND", "待发货"),
    SENDING("SENDING", "已发货"),
    ORDER_END("ORDER_END", "已完成"),
    TO_BE_RETURN("TO_BE_RETURN", "待返回"),
    SALE_AFTER_ING("SALE_AFTER_ING", "售后中"),
    SALE_AFTER_END("SALE_AFTER_END", "售后完成"),
    SALE_AFTER_CANCEL("SALE_AFTER_CANCEL", "售后关闭"),
    REVOKE("REVOKE", "已撤销");

    SaleOrderStatusEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public String getLabel() {
        return label;
    }

    private final String value;

    private final String label;


}
